Εγκατάσταση Drupal στα Ελληνικά - Απαιτήσεις Συστήματος

Για την εγκατάσταση και την λειτουργία του Drupal πρέπει ο web server σας να πληροί ορισμένες ελάχιστες απαιτήσεις. Οι περισσότερες εταιρείες web hosting ανταποκρίνονται σε αυτές τις απαιτήσεις.

Ωστόσο, πριν ξεκινήσετε την εγκατάσταση του Drupal ζητήστε από την εταιρεία Web Hosting να σας ενημερώσει ότι πληροί τις παρακάτω προϋποθέσεις. 


Χώρο στον δίσκο

Ο ελάχιστος χώρος για την εγκατάσταση είναι 15ΜΒ. Ενώ μια ιστοσελίδα με αρκετά εγκατεστημένα modules & themes, απαιτεί περίπου 60ΜΒ. Να έχετε υπόψη, ότι επιπλέον χρειάζεστε πολύ περισσότερα bytes για τη βάση δεδομένων, τα αρχεία που ενδεχομένως κάνουν upload οι χρήστες, τα αρχεία media, τα αντίγραφα ασφαλείας και πολλά ακόμη αρχεία. 


Web Server

Apache, Nginx ή Microsoft IIS. Η κοινότητα του Drupal συνιστά Apache.

 

Apache

Apache χρησιμοποιείτε περισσότερο από όλους τουs Web Server για το Drupal. Το Drupal λειτουργεί σε Apache 2.x, όπου φιλοξενείτε σε λειτουργικό σύστημα UNIX / Linux, OS X ή Windows. 

Το μεγαλύτερο μέρος της υλοποίησης και ανάπτυξης του Drupal γίνεται σε Apache. Αυτό σημαίνει ότι η κοινότητα του Drupal έχει πολύ μεγάλη εμπειρία, αφού ακόμα και οι δοκιμές εκτελούνται σε Apache παρά σε άλλους web server. 

Για να καταστεί δυνατή η λειτουργία "clean URLs", μπορείτε να χρησιμοποιήσετε την επέκταση του Apache "mod_rewrite". Για περισσότερες πληροφορίες διαβάστε το σχετικό άρθρο Clean URLs, ρυθμίσεις παραμέτρων για Drupal.

Οι ρυθμίσεις του Apache Virtualhost πρέπει να περιέχουν την οδηγία "AllowOverride All" , ώστε να επιτρέπετε η χρήση του αρχείου .htaccess (αρχείο του Drupal).

 

Nginx

Ο Nginx είναι ευρέως χρησιμοποιημένος web server που επικεντρώνεται στην υψηλή συνταύτιση και στις επιδόσεις με χαμηλή χρήση μνήμης. 

Το Drupal λειτουργεί για τις εκδόσεις (0.7.x, 0.8.x, 1.0.x, 1.2.x ), για τη σταθερή έκδοση 1.4.x και τη 1.5.x οι οποίες φιλοξενούνται σε UNIX / Linux, OS X ή Windows. 
O Nginx είναι μια δημοφιλής εναλλακτική λύση αντί για Apache, επομένως υπάρχει επίσης σημαντική εμπειρία στην κοινότητα του Drupal και στις δοκιμές που εκτελούνται σε Nginx.

Για περισσότερες πληροφορίες σχετικά με την ενεργοποίηση των "clean URLs", διαβάστε το σχετικό άρθρο Clean URLs με Nginx για Drupal (προς το παρών διαθέσιμο μόνο στα Αγγλικά).

 

Microsoft IIS

Ο Microsoft IIS είναι ένας web server, το χαρακτηριστικό του οποίου είναι ένα σύνολο μονάδων επέκτασης.

Ο πυρήνας του Drupal (Drupal Core), συνεργάζεται με IIS 5, IIS 6, IIS 7, εφόσον έχει ρυθμιστεί σωστά η PHP.

Για την επίτευξη "clean URLs" μπορεί να χρειαστεί να χρησιμοποιήσετε επιπλέον λογισμικό τρίτου συνεργάτη (third party). Για την έκδοση IIS 7 χρησιμοποιήστε την επέκταση (module) Microsoft URL Rewrite ή κάποιο προϊόν τρίτου συνεργάτη. 

Για IIS 7, το Drupal απαιτεί Windows Server 2008 SP2 ή νεότερη έκδοση για υποστήριξη FastCGI.

 

Βάση Δεδομένων

MySQL

(ΣΥΝΙΣΤΑΤΑΙ) 
 

  • Το Drupal 6, υποστηρίζει MySQL 4.1 ή νεότερη έκδοση, αλλά η MySQL 5.0.15 ή νεότερη έκδοση είναι προτιμότερη.
  • Το Drupal 7, υποστηρίζει MySQL 5.0.15 ή νεότερη έκδοση (MySQL 5.1.30 ή νεότερη έκδοση) και απαιτεί την επέκταση PDO της βάσης δεδομένων για την PHP.
    PDO είναι το ακρωνύμιο της φράσης PHP Data Objects. Για περισσότερες πληροφορίες κοιτάξτε στην επίσημη ιστοσελίδα της PHP στην ενότητα Installing PDO on Unix systems (διαθέσιμο στα Αγγλικά)

Σημειώσεις:

  • Το Drupal κάνει χρήση κάποιων δυνατοτήτων, οι οποίες δεν είναι διαθέσιμες σε ορισμένα φθηνά πακέτα φιλοξενίας. Για αυτό ελέγξτε ότι ο πάροχος φιλοξενίας σας επιτρέπει ο χρήστης της βάσης δεδομένων να έχει τα παρακάτω δικαιώματα: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, INDEX, ALTER. Αυτά τα δικαιώματα είναι επαρκή για την εγκατάσταση & λειτουργία του Drupal.
  • Επιπλέον κάποια modules, αλλά και ο πυρήνας του Drupal 5.x (αλλά όχι του Drupal 6.x), απαιτούν κάποια επιπλέον δικαιώματα, όπως: CREATE TEMPORARY TABLES, LOCK TABLES.
  • Μπορεί να είναι απαραίτητο να ρυθμίσετε τη μεταβλητή του συστήματος "max_allowed_packet" τουλάχιστον στα 16Μ. Μερικά φθηνά πακέτα φιλοξενίας για την MySQL προσφέρουν μόνο 1Μ, αυτή η τιμή είναι πολύ χαμηλή. Σε αυτή την περίπτωση, θα χρειαστεί να επιλέξετε κάποιο καλύτερο πακέτο φιλοξενίας. Πάντως η τιμή 1M, μπορεί να είναι επαρκής για το Drupal 5.
  • Το Drupal υποστηρίζει τους τύπους πινάκων MyISAM & InnoDB. Ενώ οι NDB πίνακες (MySQL Cluster) δεν υποστηρίζονται.
  • Ενδεχομένως ο πάροχος φιλοξενίας, σας παρέχει έναν γραφικό πίνακα ελέγχου για την διαχείριση του λογαριασμού σας (web hosting account), όπως Plesk ή Cpanel. Σε αυτή την περίπτωση δεν χρειάζεται να ανησυχείτε για την εγκατάσταση drivers για την MySQL, διότι είναι πολύ πιθανόν να είναι ήδη εγκατεστημένοι στον server σας. Το μόνο που θα χρειαστεί να κάνετε είναι μέσα από το Control Panel, να δημιουργήσετε απλά μια νέα βάση δεδομένων (διαβάστε προσεκτικά τα έγγραφα τεκμηρίωσης που σας έχει στείλει ο πάροχος, για την δημιουργία βάσης δεδομένων και την δημιουργία χρήστη της βάσης).

Postgre SQL

Σημείωση: Ορισμένα contributed modules, δεν είναι τόσο αποκομμένα ή ανεξάρτητα από την MySQL.

  • To Drupal 6 υποστηρίζει PostgreSQL 7.1 ή νεότερη έκδοση
  • To Drupal 7 υποστηρίζει PostgreSQL 8.3 ή νεότερη έκδοση

SQLite

Μόνο το Drupal 7 υποστηρίζει SQLite 3.3.7 ή νεότερη έκδοση.
Σημείωση: Ορισμένα contributed modules, δεν είναι τόσο αποκομμένα ή ανεξάρτητα από την MySQL.

 

Άλλες βάσεις δεδομένων

Ο Microsoft SQL Server και η Oracle, υποστηρίζονται από πρόσθετα modules.

 

PHP

  • Το Drupal 6 υποστηρίζει PHP 4.4.0 ή νεότερη έκδοση (συνιστάται 5.2)
  • Το Drupal 7 υποστηρίζει PHP 5.2.5 ή νεότερη έκδοση (συνιστάται 5.3)
  • Το Drupal 8 υποστηρίζει PHP 5.3.10 ή νεότερη έκδοση

Για περισσότερες πληροφορίες διαβάστε το σχετικό άρθρο PHP, στην κοινότητα του Drupal (διαθέσμο στα Αγγλικά).

Απαιτήσεις προγραμμάτων πλοήγησης (browsers)
Οι ιστοσελίδες που έχουν κατασκευαστεί μόνο με τη χρήση του Drupal Core (δηλαδή χωρίς να συμβάλουν επιπλέον modules), είναι συμβατές και πλήρως λειτουργικές με όλα τα σύγχρονα προγράμματα πλοήγησης (browsers) που υποστηρίζουν CSS και JavaScript. Ωστόσο κάθε browser έχει διαφορετικό επίπεδο συμβατότητας με τα πρότυπα του Internet όπως π.χ. το CSS 2, οπότε μπορεί να υπάρχουν μικρές αποκλίσεις στην εμφάνιση.

Εδώ είναι μια πλήρης λίστα των browsers που λειτουργούν καλά με το Drupal Core και υποστηρίζουν όλες τις λειτουργίες του:

  • Internet Explorer 8.x ή νεότερη έκδοση
  • FireFox 5.0 ή νεότερη έκδοση
  • Opera 12 ή νεότερη έκδοση
  • Safari 5.x ή νεότερη έκδοση
  • Google Chrome

Επίσης μπορεί να χρησιμοποιείτε ένα πρόγραμμα πλοήγησης που δεν υποστηρίζει JavaScript με το Drupal, τότε φυσικά η λειτουργικότητα θα είναι λίγο διαφορετική. 
Για παράδειγμα, το Drupal 6 τρέχει σε έναν browser με ενεργοποιημένο JavaScript και αυτό σημαίνει ότι στη διαχείριση της σελίδας το interface σας επιτρέπει να μετακινείτε και να διαχειρίζεστε τα Blocks (admin > site building > blocks) με drag-and-drop. Αν δεν έχετε JavaScript θα εξακολουθείτε να διαχειρίζεστε τα Blocks, αλλά το περιβάλλον θα μοιάζει περισσότερο με αυτό του Drupal 5 (δηλαδή θα εκχωρείτε αριθμητικά βάση για τον ορισμό τοποθέτησης των Blocks). 

Επίσης είναι δυνατόν να χρησιμοποιείτε ένα πρόγραμμα πλοήγησης που δεν υποστηρίζει CSS με το Drupal, αλλά φυσικά τότε η ιστοσελίδα δεν θα είναι πολύ παρόμοια με το πως εμφανίζεται σε έναν browser που δεν υποστηρίζει CSS.

Παράλληλα, να έχετε υπόψη ότι κάποια πρόσθετα modules & themes δεν είναι συμβατά με όλους τους browsers. 

Σχετικά με τον αρθρογράφο

Tags: